# __gnu_parallel::union_func< InputIterator, OutputIterator, Comparator > Struct Template Reference

List of all members.

## Detailed Description

### template<class InputIterator, class OutputIterator, class Comparator>
struct __gnu_parallel::union_func< InputIterator, OutputIterator, Comparator >

Definition at line 286 of file set_operations.h.

## Public Types

- typedef std::iterator_traits<
  InputIterator >::difference_type difference_type

## Public Member Functions

- difference_type count (InputIterator a, InputIterator b, InputIterator c, InputIterator d) const
- OutputIterator first_empty (InputIterator c, InputIterator d, OutputIterator out) const
- OutputIterator invoke (InputIterator a, const InputIterator b, InputIterator c, const InputIterator d, OutputIterator r) const
- OutputIterator second_empty (InputIterator a, InputIterator b, OutputIterator out) const
- union_func (Comparator c)

## Public Attributes

- Comparator comp

The documentation for this struct was generated from the following file:

- set_operations.h